Skip to main content
GET
/
brand
/
retrieve-simplified
JavaScript
import ContextDev from 'context.dev';

const client = new ContextDev({
  apiKey: process.env['CONTEXT_DEV_API_KEY'], // This is the default and can be omitted
});

const response = await client.brand.retrieveSimplified({ domain: 'domain' });

console.log(response.brand);
{
  "status": "<string>",
  "brand": {
    "domain": "<string>",
    "title": "<string>",
    "colors": [
      {
        "hex": "<string>",
        "name": "<string>"
      }
    ],
    "logos": [
      {
        "url": "<string>",
        "mode": "light",
        "colors": [
          {
            "hex": "<string>",
            "name": "<string>"
          }
        ],
        "resolution": {
          "width": 123,
          "height": 123,
          "aspect_ratio": 123
        },
        "type": "icon"
      }
    ],
    "backdrops": [
      {
        "url": "<string>",
        "colors": [
          {
            "hex": "<string>",
            "name": "<string>"
          }
        ],
        "resolution": {
          "width": 123,
          "height": 123,
          "aspect_ratio": 123
        }
      }
    ]
  },
  "code": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.context.dev/llms.txt

Use this file to discover all available pages before exploring further.

10 Credits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

domain
string
required

Domain name to retrieve simplified brand data for

maxAgeMs
integer
default:7776000000

Maximum age in milliseconds for cached brand data before the API performs a hard refresh. Defaults to 3 months (7776000000 ms). Values below 1 day (86400000 ms) are clamped to 1 day; values above 1 year (31536000000 ms) are clamped to 1 year.

Required range: 86400000 <= x <= 31536000000
timeoutMS
integer

Optional timeout in milliseconds for the request. If the request takes longer than this value, it will be aborted with a 408 status code. Maximum allowed value is 300000ms (5 minutes).

Required range: 1000 <= x <= 300000

Response

Successful response

status
string

Status of the response, e.g., 'ok'

brand
object

Simplified brand information

code
integer

HTTP status code of the response